summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2016-07-30 06:38:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:38:16 +0700
commitcc565f16dcea92f873e75647a215ab4ecaeece8b (patch)
tree94c40c37cc78781c61df2dd3219a2c7a0de3af0d /libraries
parent6a798dd078fac58e1f8dcfc0d4dbd81eb6379e06 (diff)
downloadslackbuilds-cc565f16dcea92f873e75647a215ab4ecaeece8b.tar.gz
slackbuilds-cc565f16dcea92f873e75647a215ab4ecaeece8b.tar.xz
libraries/compiz-plugins-experimental: Added (Compiz Plugins).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/compiz-plugins-experimental/README21
-rw-r--r--libraries/compiz-plugins-experimental/README.Slackware46
-rw-r--r--libraries/compiz-plugins-experimental/compiz-plugins-experimental.SlackBuild97
-rw-r--r--libraries/compiz-plugins-experimental/compiz-plugins-experimental.info10
-rw-r--r--libraries/compiz-plugins-experimental/slack-desc19
5 files changed, 193 insertions, 0 deletions
diff --git a/libraries/compiz-plugins-experimental/README b/libraries/compiz-plugins-experimental/README
new file mode 100644
index 0000000000..7b3c2b164e
--- /dev/null
+++ b/libraries/compiz-plugins-experimental/README
@@ -0,0 +1,21 @@
+This is an optional plugin package for Compiz Fusion.
+
+PLEASE read the README.Slackware file BEFORE you install any of the
+compiz packages. The install order is listed below but there are
+some important notes you need to be aware of before you install/use
+compiz.
+
+For correct installation, build in this order:
+ 1. compiz (not available at SBo, see the README.Slackware file)
+ 2. compiz-bcop
+ 3. protobuf (optional but recommended)
+ 4. libcompizconfig
+ 5. compiz (optional, see the README.Slackware file)
+ 6. compizconfig-python
+ 7. ccsm
+ 8. compiz-plugins-main
+ 9. compiz-plugins-extra (optional)
+10. compiz-plugins-experimental (optional)
+11. emerald (optional)
+12. emerald-themes (optional)
+13. fusion-icon (optional)
diff --git a/libraries/compiz-plugins-experimental/README.Slackware b/libraries/compiz-plugins-experimental/README.Slackware
new file mode 100644
index 0000000000..d44e53ef41
--- /dev/null
+++ b/libraries/compiz-plugins-experimental/README.Slackware
@@ -0,0 +1,46 @@
+1) Slackware still ships the old 0.8.8 release of compiz that was
+ released back in 2011. The project has recently been picked up
+ and is being actively maintained by the compiz-reloaded team.
+ You can still use the 0.8.8 version of the compiz that ships
+ with Slackware with the companion packages since there has not been
+ any ABI changes to the code. But there is a good chance you will run
+ into stabilty issues if you do, so it is HIGHLY recommended you use
+ the version of compiz that matches the companion packages. Because
+ you will be replacing a stock Slackware package the SlackBuild is
+ not hosted at www.slackbuilds.org. You can download the SlackBuild
+ from the link below.
+
+ https://dl.dropboxusercontent.com/u/85079539/compiz-0.8.12.3-SlackBuild.tar.gz
+
+ This SlackBuild is based off the 14.2 stock Slackware SlackBuild so you
+ shouldn't run into any problems. If you do use this version of compiz you
+ will need to blacklist compiz in your /etc/slackpkg/blacklist file to keep
+ slackpkg from reverting the package back to 0.8.8
+
+2) Compiz now has basic support for the MATE desktop. You will have to install
+ MATE before you install compiz for support. The MATE slackware project
+ website is located here https://mateslackbuilds.github.io/
+
+3) The compizconfig-backend-kconfig4 package has been removed from the
+ project so if you are upgrading from a previous version you will want
+ to remove this package. Also compiz-plugins-unsupported has now been
+ renamed to compiz-plugins-experimental so you will need to remove
+ compiz-plugins-unsupported before you upgrade to the newest packages.
+
+4) The install order has compiz listed twice. libcompizconfig depends
+ on compiz, but compiz has some extra window decorator related features
+ that depend on libcompizconfig. So if you want these extra features you
+ will have to recompile compiz again AFTER you build and install
+ libcompizconfig. This is not required it is just an option if you want
+ to do it.
+
+5) After you install compiz and the companion packages you will need to
+ launch CCSM and enable "Move", "Resize Window", and "Window Decorations"
+ before you start compiz. This way you can manage your windows. After
+ you enable those three options you can start compiz and customize to
+ your liking.
+
+
+
+
+
diff --git a/libraries/compiz-plugins-experimental/compiz-plugins-experimental.SlackBuild b/libraries/compiz-plugins-experimental/compiz-plugins-experimental.SlackBuild
new file mode 100644
index 0000000000..55aacd5c74
--- /dev/null
+++ b/libraries/compiz-plugins-experimental/compiz-plugins-experimental.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for compiz-plugins-experimental
+
+# Copyright 2016 Matt Dinslage, Springfield, MO
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=compiz-plugins-experimental
+VERSION=${VERSION:-0.8.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/compiz-plugins-experimental/compiz-plugins-experimental.info b/libraries/compiz-plugins-experimental/compiz-plugins-experimental.info
new file mode 100644
index 0000000000..52228dd86a
--- /dev/null
+++ b/libraries/compiz-plugins-experimental/compiz-plugins-experimental.info
@@ -0,0 +1,10 @@
+PRGNAM="compiz-plugins-experimental"
+VERSION="0.8.12"
+HOMEPAGE="https://github.com/raveit65/compiz-plugins-experimental"
+DOWNLOAD="https://github.com/raveit65/compiz-plugins-experimental/releases/download/v0.8.12/compiz-plugins-experimental-0.8.12.tar.xz"
+MD5SUM="1a00a2e21a6289ef185b869f50064618"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ccsm"
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
diff --git a/libraries/compiz-plugins-experimental/slack-desc b/libraries/compiz-plugins-experimental/slack-desc
new file mode 100644
index 0000000000..6035d3c115
--- /dev/null
+++ b/libraries/compiz-plugins-experimental/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+compiz-plugins-experimental: compiz-plugins-experimental (Experimental plugins for Compiz Fusion)
+compiz-plugins-experimental:
+compiz-plugins-experimental: The plugins in the plugins experimental package are freely available
+compiz-plugins-experimental: for users to try, but they are not supported.
+compiz-plugins-experimental:
+compiz-plugins-experimental:
+compiz-plugins-experimental:
+compiz-plugins-experimental:
+compiz-plugins-experimental:
+compiz-plugins-experimental:
+compiz-plugins-experimental: